package com.ruoyi.system.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.SysAds;

/**
 * 首页广告Service接口
 *
 * @author ruoyi
 * @date 2025-06-03
 */
public interface ISysAdsService extends IService<SysAds>
{
    /**
     * 查询首页广告
     *
     * @param id 首页广告主键
     * @return 首页广告
     */
    public SysAds selectSysAdsById(Long id);

    /**
     * 查询首页广告列表
     *
     * @param sysAds 首页广告
     * @return 首页广告集合
     */
    public List<SysAds> selectSysAdsList(SysAds sysAds);

    /**
     * 新增首页广告
     *
     * @param sysAds 首页广告
     * @return 结果
     */
    public int insertSysAds(SysAds sysAds);

    /**
     * 修改首页广告
     *
     * @param sysAds 首页广告
     * @return 结果
     */
    public int updateSysAds(SysAds sysAds);

    /**
     * 批量删除首页广告
     *
     * @param ids 需要删除的首页广告主键集合
     * @return 结果
     */
    public int deleteSysAdsByIds(Long[] ids);

    /**
     * 删除首页广告信息
     *
     * @param id 首页广告主键
     * @return 结果
     */
    public int deleteSysAdsById(Long id);
}
